local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)

pmb_mirecaves = {}
pmb_mirecaves.max = pmb_vars.overworld.sea_level - 180
pmb_mirecaves.min = pmb_vars.overworld.alt_min + 20

pmb_mirecaves.biome_list = {}

-- util
dofile(mod_path .. DIR_DELIM .. "utilities.lua")

-- nodes
dofile(mod_path .. DIR_DELIM .. "nodes" .. DIR_DELIM .. "workaround.lua")
dofile(mod_path .. DIR_DELIM .. "nodes" .. DIR_DELIM .. "stone.lua")
dofile(mod_path .. DIR_DELIM .. "nodes" .. DIR_DELIM .. "nolmer.lua")
dofile(mod_path .. DIR_DELIM .. "scripts" .. DIR_DELIM .. "nolmer_growing.lua")

-- mapgen
dofile(mod_path .. DIR_DELIM .. "mapgen" .. DIR_DELIM .. "clearer.lua")
-- dofile(mod_path .. DIR_DELIM .. "mapgen" .. DIR_DELIM .. "streams.lua")
dofile(mod_path .. DIR_DELIM .. "mapgen" .. DIR_DELIM .. "trees.lua")
dofile(mod_path .. DIR_DELIM .. "mapgen" .. DIR_DELIM .. "soils.lua")
dofile(mod_path .. DIR_DELIM .. "mapgen" .. DIR_DELIM .. "cleaner.lua")

-- decor
dofile(mod_path .. DIR_DELIM .. "mapgen" .. DIR_DELIM .. "lights.lua")
